Subject: Re: [PATCH v2] format-patch: fix From header in cover letter

From: Mirko Faina <[email-masked]>
Date: Tue, 17 Feb 2026 22:41:23 +0100

On Tue, Feb 17, 2026 at 07:22:33AM -0800, Junio C Hamano wrote:
> Yes.  It does make sense to document the change in thinking in the
> proposed log message and in documentation.

As I said to Patrick, I don't think anyone would reasonably expect
"--from" to not apply to the cover letter as well. Given this, I'm not
sure we should refer to this as a change in thinking in the commit
message, it should be treated as a bug as if it should've always been
this way.

I will edit the documentation to remove any ambiguity.

Thank you